\name{as.geodata}
\alias{as.geodata}

%- Also NEED an `\alias' for EACH other topic documented here.
\title{Converts to a geodata object}

\description{
  Converts a matrix or a data-frame to an object of the class \code{geodata}.
  An object of the class \code{geodata} is a list with two obligatory
  components, \code{coords} and \code{data} and an optional components
  with covariates.
}

\usage{
as.geodata(obj, coords.col = 1:2, data.col = 3, data.names = NULL, 
           covar.col = NULL, covar.names = "obj.names")
}

%- maybe also `usage' for other objects documented here.

\arguments{
  \item{obj}{a matrix or data-frame where each line contains
    coordinates, data and (maybe) covariates for each one of the data
    locations.  }
  \item{coords.col}{a vector with the column numbers of the
    coordinates.  }
  \item{data.col}{a scalar or vector with the column number of the
    data.  }
  \item{data.names}{a string or vector of strings with the name(s) of
    the covariates. By default uses the names in the original object.
    Only used if there is more than one column of data.  }
  \item{covar.col}{optional. A scalar or vector with the column number
    of the covariates  }
  \item{covar.names}{a string or vector of strings with the name(s) of
    the covariates. By default uses the names in the original object.  }
}

\details{
  The object of the class \code{geodata} is not obligatory but
  facilitates analysis using the package \code{geoR}.

  The component \code{coords} is always a matrix \eqn{n \times 2} where
  \eqn{n} is the number of data points.\cr
  The component \code{data} can be a vector, for the univariate case or
  a matrix or data-frame for the multivariate case.\cr
  The third component is optional, does not have a fixed name,
  and contains the values of the covariates.
  
}

\value{
  A list with two obligatory components:
  \item{coords}{data coordinates}
  \item{data}{data values}

  and one optional one
  \item{covariate}{covariates values}

}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo Justiniano Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}

%\note{ ~~further notes~~ }
%
% ~Make other sections like WARNING with \section{WARNING }{....} ~

\seealso{\code{\link{read.geodata}}, \code{\link{list}}}

%\examples{}
\keyword{spatial, class, manip}%-- one or more ...


